> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand Feedback By Id

> Get feedback about a brand by ID. This endpoint can be used after creating or revetting
a brand.

Possible values for `.category[].id`:

* `TAX_ID` - Data mismatch related to tax id and its associated properties.
* `STOCK_SYMBOL` - Non public entity registered as a public for profit entity or
  the stock information mismatch.
* `GOVERNMENT_ENTITY` - Non government entity registered as a government entity.
  Must be a U.S. government entity.
* `NONPROFIT` - Not a recognized non-profit entity. No IRS tax-exempt status
  found.
* `OTHERS` - Details of the data misrepresentation if any.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml get /10dlc/brand_feedback/{brandId}
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/brand_feedback/{brandId}:
    get:
      tags:
        - Brands
      summary: Get Brand Feedback By Id
      description: >-
        Get feedback about a brand by ID. This endpoint can be used after
        creating or revetting

        a brand.


        Possible values for `.category[].id`:


        * `TAX_ID` - Data mismatch related to tax id and its associated
        properties.

        * `STOCK_SYMBOL` - Non public entity registered as a public for profit
        entity or
          the stock information mismatch.
        * `GOVERNMENT_ENTITY` - Non government entity registered as a government
        entity.
          Must be a U.S. government entity.
        * `NONPROFIT` - Not a recognized non-profit entity. No IRS tax-exempt
        status
          found.
        * `OTHERS` - Details of the data misrepresentation if any.
      operationId: GetBrandFeedbackById
      parameters:
        - required: true
          schema:
            title: Brandid
            type: string
          name: brandId
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandFeedback'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.messaging10dlc.brand.getFeedback('brandId');


            console.log(response.brandId);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.messaging_10dlc.brand.get_feedback(
                "brandId",
            )
            print(response.brand_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging10dlc.Brand.GetFeedback(context.TODO(), \"brandId\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.BrandID)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackParams;

            import
            com.telnyx.sdk.models.messaging10dlc.brand.BrandGetFeedbackResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BrandGetFeedbackResponse response = client.messaging10dlc().brand().getFeedback("brandId");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.messaging_10dlc.brand.get_feedback("brandId")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->messaging10dlc->brand->getFeedback('brandId');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:brand get-feedback \
              --api-key 'My API Key' \
              --brand-id brandId
components:
  schemas:
    BrandFeedback:
      title: BrandFeedback
      required:
        - brandId
        - category
      type: object
      properties:
        brandId:
          title: Brandid
          type: string
          description: ID of the brand being queried about
          example: d88dd2aa-1bb9-4ef0-9ec8-1752b80316a5
        category:
          title: Category
          type: array
          items:
            $ref: '#/components/schemas/BrandFeedbackCategory'
          description: A list of reasons why brand creation/revetting didn't go as planned
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    BrandFeedbackCategory:
      title: BrandFeedbackCategory
      required:
        - id
        - displayName
        - description
        - fields
      type: object
      properties:
        id:
          title: Id
          type: string
          description: >-
            One of `TAX_ID`, `STOCK_SYMBOL`, `GOVERNMENT_ENTITY`, `NONPROFIT`,
            and `OTHERS`
          example: TAX_ID
        displayName:
          title: Displayname
          type: string
          description: Human-readable version of the `id` field
          example: Tax Id
        description:
          title: Description
          type: string
          description: Long-form description of the feedback with additional information
          example: Tax Id does not match with the company name or business type.
        fields:
          title: Fields
          type: array
          items:
            type: string
          description: List of relevant fields in the originally-submitted brand json
          example:
            - ein
            - companyName
            - entityType
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````